Index: trunk/examples/extended/analysis/N03Con/src/ExN03SteppingAction.cc
===================================================================
--- trunk/examples/extended/analysis/N03Con/src/ExN03SteppingAction.cc	(revision 1187)
+++ trunk/examples/extended/analysis/N03Con/src/ExN03SteppingAction.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: ExN03SteppingAction.cc,v 1.1 2007/05/26 00:18:28 tkoi Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/analysis/N03Con/src/ExN03SteppingVerbose.cc
===================================================================
--- trunk/examples/extended/analysis/N03Con/src/ExN03SteppingVerbose.cc	(revision 1187)
+++ trunk/examples/extended/analysis/N03Con/src/ExN03SteppingVerbose.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: ExN03SteppingVerbose.cc,v 1.1 2007/05/26 00:18:28 tkoi Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/biasing/B01/exampleB01.cc
===================================================================
--- trunk/examples/extended/biasing/B01/exampleB01.cc	(revision 1187)
+++ trunk/examples/extended/biasing/B01/exampleB01.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: exampleB01.cc,v 1.27 2007/06/22 13:22:09 ahoward Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/biasing/B01/include/B01DetectorConstruction.hh
===================================================================
--- trunk/examples/extended/biasing/B01/include/B01DetectorConstruction.hh	(revision 1187)
+++ trunk/examples/extended/biasing/B01/include/B01DetectorConstruction.hh	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: B01DetectorConstruction.hh,v 1.9 2007/06/22 13:15:29 ahoward Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 
Index: trunk/examples/extended/biasing/B01/include/B01Run.hh
===================================================================
--- trunk/examples/extended/biasing/B01/include/B01Run.hh	(revision 1187)
+++ trunk/examples/extended/biasing/B01/include/B01Run.hh	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: B01Run.hh,v 1.4 2007/06/21 15:03:33 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 // 
 //---------------------------------------------------------------------
Index: trunk/examples/extended/biasing/B01/include/B01RunAction.hh
===================================================================
--- trunk/examples/extended/biasing/B01/include/B01RunAction.hh	(revision 1187)
+++ trunk/examples/extended/biasing/B01/include/B01RunAction.hh	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: B01RunAction.hh,v 1.2 2007/06/21 15:03:35 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 // 
 
Index: trunk/examples/extended/biasing/B01/include/B01ScoreTable.hh
===================================================================
--- trunk/examples/extended/biasing/B01/include/B01ScoreTable.hh	(revision 1187)
+++ trunk/examples/extended/biasing/B01/include/B01ScoreTable.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: B01ScoreTable.hh,v 1.1 2007/06/05 18:20:09 ahoward Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // ----------------------------------------------------------------------
Index: trunk/examples/extended/biasing/B01/src/B01DetectorConstruction.cc
===================================================================
--- trunk/examples/extended/biasing/B01/src/B01DetectorConstruction.cc	(revision 1187)
+++ trunk/examples/extended/biasing/B01/src/B01DetectorConstruction.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: B01DetectorConstruction.cc,v 1.20 2007/06/22 13:15:29 ahoward Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 
Index: trunk/examples/extended/biasing/B01/src/B01PhysicsList.cc
===================================================================
--- trunk/examples/extended/biasing/B01/src/B01PhysicsList.cc	(revision 1187)
+++ trunk/examples/extended/biasing/B01/src/B01PhysicsList.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: B01PhysicsList.cc,v 1.8 2007/06/05 18:20:09 ahoward Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 
Index: trunk/examples/extended/biasing/B01/src/B01PrimaryGeneratorAction.cc
===================================================================
--- trunk/examples/extended/biasing/B01/src/B01PrimaryGeneratorAction.cc	(revision 1187)
+++ trunk/examples/extended/biasing/B01/src/B01PrimaryGeneratorAction.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: B01PrimaryGeneratorAction.cc,v 1.8 2006/06/29 16:34:20 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 
Index: trunk/examples/extended/biasing/B01/src/B01Run.cc
===================================================================
--- trunk/examples/extended/biasing/B01/src/B01Run.cc	(revision 1187)
+++ trunk/examples/extended/biasing/B01/src/B01Run.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: B01Run.cc,v 1.4 2007/06/21 15:03:37 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 
Index: trunk/examples/extended/biasing/B01/src/B01RunAction.cc
===================================================================
--- trunk/examples/extended/biasing/B01/src/B01RunAction.cc	(revision 1187)
+++ trunk/examples/extended/biasing/B01/src/B01RunAction.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: B01RunAction.cc,v 1.4 2007/06/22 13:29:45 ahoward Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 // 
 #include "B01RunAction.hh"
Index: trunk/examples/extended/biasing/B01/src/B01ScoreTable.cc
===================================================================
--- trunk/examples/extended/biasing/B01/src/B01ScoreTable.cc	(revision 1187)
+++ trunk/examples/extended/biasing/B01/src/B01ScoreTable.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: B01ScoreTable.cc,v 1.2 2007/06/22 13:15:29 ahoward Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // ----------------------------------------------------------------------
Index: trunk/examples/extended/biasing/B02/GNUmakefile
===================================================================
--- trunk/examples/extended/biasing/B02/GNUmakefile	(revision 1187)
+++ trunk/examples/extended/biasing/B02/GNUmakefile	(revision 1230)
@@ -1,3 +1,3 @@
-# $Id: GNUmakefile,v 1.9 2004/06/18 15:59:39 daquinog Exp $
+# $Id: GNUmakefile,v 1.10 2009/03/06 09:49:18 gbarrand Exp $
 # --------------------------------------------------------------
 # GNUmakefile for examples module.  Gabriele Cosmo, 06/04/98.
@@ -24,6 +24,2 @@
 include $(G4INSTALL)/config/binmake.gmk
 
-ifdef G4ANALYSIS_USE
- CPPFLAGS += `aida-config --include`
- LDFLAGS += `aida-config --lib`
-endif 
Index: trunk/examples/extended/biasing/B02/exampleB02.cc
===================================================================
--- trunk/examples/extended/biasing/B02/exampleB02.cc	(revision 1187)
+++ trunk/examples/extended/biasing/B02/exampleB02.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: exampleB02.cc,v 1.22 2007/06/22 13:38:55 ahoward Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/biasing/B02/include/B02CellScorer.hh
===================================================================
--- trunk/examples/extended/biasing/B02/include/B02CellScorer.hh	(revision 1187)
+++ trunk/examples/extended/biasing/B02/include/B02CellScorer.hh	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: B02CellScorer.hh,v 1.3 2006/06/29 16:34:25 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // ----------------------------------------------------------------------
Index: trunk/examples/extended/biasing/B02/include/B02CellScorerStore.hh
===================================================================
--- trunk/examples/extended/biasing/B02/include/B02CellScorerStore.hh	(revision 1187)
+++ trunk/examples/extended/biasing/B02/include/B02CellScorerStore.hh	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: B02CellScorerStore.hh,v 1.3 2006/06/29 16:34:27 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // ----------------------------------------------------------------------
Index: trunk/examples/extended/biasing/B02/include/B02DetectorConstruction.hh
===================================================================
--- trunk/examples/extended/biasing/B02/include/B02DetectorConstruction.hh	(revision 1187)
+++ trunk/examples/extended/biasing/B02/include/B02DetectorConstruction.hh	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: B02DetectorConstruction.hh,v 1.6 2007/06/22 13:38:55 ahoward Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 
Index: trunk/examples/extended/biasing/B02/include/B02ImportanceDetectorConstruction.hh
===================================================================
--- trunk/examples/extended/biasing/B02/include/B02ImportanceDetectorConstruction.hh	(revision 1187)
+++ trunk/examples/extended/biasing/B02/include/B02ImportanceDetectorConstruction.hh	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: B02ImportanceDetectorConstruction.hh,v 1.7 2007/06/22 13:38:55 ahoward Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 
Index: trunk/examples/extended/biasing/B02/include/B02PSScoringDetectorConstruction.hh
===================================================================
--- trunk/examples/extended/biasing/B02/include/B02PSScoringDetectorConstruction.hh	(revision 1187)
+++ trunk/examples/extended/biasing/B02/include/B02PSScoringDetectorConstruction.hh	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: B02PSScoringDetectorConstruction.hh,v 1.2 2007/06/22 13:38:55 ahoward Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 
Index: trunk/examples/extended/biasing/B02/include/B02Run.hh
===================================================================
--- trunk/examples/extended/biasing/B02/include/B02Run.hh	(revision 1187)
+++ trunk/examples/extended/biasing/B02/include/B02Run.hh	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: B02Run.hh,v 1.2 2007/06/21 15:03:41 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 // 
 //---------------------------------------------------------------------
Index: trunk/examples/extended/biasing/B02/include/B02RunAction.hh
===================================================================
--- trunk/examples/extended/biasing/B02/include/B02RunAction.hh	(revision 1187)
+++ trunk/examples/extended/biasing/B02/include/B02RunAction.hh	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: B02RunAction.hh,v 1.2 2007/06/21 15:03:43 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 // 
 
Index: trunk/examples/extended/biasing/B02/include/B02ScoreTable.hh
===================================================================
--- trunk/examples/extended/biasing/B02/include/B02ScoreTable.hh	(revision 1187)
+++ trunk/examples/extended/biasing/B02/include/B02ScoreTable.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: B02ScoreTable.hh,v 1.1 2007/06/13 13:31:41 ahoward Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // ----------------------------------------------------------------------
Index: trunk/examples/extended/biasing/B02/include/B02ScoringDetectorConstruction.hh
===================================================================
--- trunk/examples/extended/biasing/B02/include/B02ScoringDetectorConstruction.hh	(revision 1187)
+++ trunk/examples/extended/biasing/B02/include/B02ScoringDetectorConstruction.hh	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: B02ScoringDetectorConstruction.hh,v 1.3 2006/06/29 16:34:40 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 
Index: trunk/examples/extended/biasing/B02/src/B02CellScorer.cc
===================================================================
--- trunk/examples/extended/biasing/B02/src/B02CellScorer.cc	(revision 1187)
+++ trunk/examples/extended/biasing/B02/src/B02CellScorer.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: B02CellScorer.cc,v 1.2 2006/06/29 16:34:42 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // ----------------------------------------------------------------------
Index: trunk/examples/extended/biasing/B02/src/B02CellScorerStore.cc
===================================================================
--- trunk/examples/extended/biasing/B02/src/B02CellScorerStore.cc	(revision 1187)
+++ trunk/examples/extended/biasing/B02/src/B02CellScorerStore.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: B02CellScorerStore.cc,v 1.3 2006/06/29 16:34:44 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // ----------------------------------------------------------------------
Index: trunk/examples/extended/biasing/B02/src/B02DetectorConstruction.cc
===================================================================
--- trunk/examples/extended/biasing/B02/src/B02DetectorConstruction.cc	(revision 1187)
+++ trunk/examples/extended/biasing/B02/src/B02DetectorConstruction.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: B02DetectorConstruction.cc,v 1.13 2007/06/13 13:31:41 ahoward Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 #include "G4Types.hh"
Index: trunk/examples/extended/biasing/B02/src/B02ImportanceDetectorConstruction.cc
===================================================================
--- trunk/examples/extended/biasing/B02/src/B02ImportanceDetectorConstruction.cc	(revision 1187)
+++ trunk/examples/extended/biasing/B02/src/B02ImportanceDetectorConstruction.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: B02ImportanceDetectorConstruction.cc,v 1.11 2007/06/22 13:38:55 ahoward Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 
Index: trunk/examples/extended/biasing/B02/src/B02PSScoringDetectorConstruction.cc
===================================================================
--- trunk/examples/extended/biasing/B02/src/B02PSScoringDetectorConstruction.cc	(revision 1187)
+++ trunk/examples/extended/biasing/B02/src/B02PSScoringDetectorConstruction.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: B02PSScoringDetectorConstruction.cc,v 1.2 2007/06/22 13:38:55 ahoward Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 
Index: trunk/examples/extended/biasing/B02/src/B02PhysicsList.cc
===================================================================
--- trunk/examples/extended/biasing/B02/src/B02PhysicsList.cc	(revision 1187)
+++ trunk/examples/extended/biasing/B02/src/B02PhysicsList.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: B02PhysicsList.cc,v 1.7 2007/06/22 13:38:55 ahoward Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 
Index: trunk/examples/extended/biasing/B02/src/B02PrimaryGeneratorAction.cc
===================================================================
--- trunk/examples/extended/biasing/B02/src/B02PrimaryGeneratorAction.cc	(revision 1187)
+++ trunk/examples/extended/biasing/B02/src/B02PrimaryGeneratorAction.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: B02PrimaryGeneratorAction.cc,v 1.6 2006/06/29 16:34:55 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 
Index: trunk/examples/extended/biasing/B02/src/B02Run.cc
===================================================================
--- trunk/examples/extended/biasing/B02/src/B02Run.cc	(revision 1187)
+++ trunk/examples/extended/biasing/B02/src/B02Run.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: B02Run.cc,v 1.2 2007/06/21 15:03:45 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 
Index: trunk/examples/extended/biasing/B02/src/B02RunAction.cc
===================================================================
--- trunk/examples/extended/biasing/B02/src/B02RunAction.cc	(revision 1187)
+++ trunk/examples/extended/biasing/B02/src/B02RunAction.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: B02RunAction.cc,v 1.3 2007/06/22 13:38:55 ahoward Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 // 
 #include "B02RunAction.hh"
Index: trunk/examples/extended/biasing/B02/src/B02ScoreTable.cc
===================================================================
--- trunk/examples/extended/biasing/B02/src/B02ScoreTable.cc	(revision 1187)
+++ trunk/examples/extended/biasing/B02/src/B02ScoreTable.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: B02ScoreTable.cc,v 1.2 2007/06/22 13:38:55 ahoward Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // ----------------------------------------------------------------------
Index: trunk/examples/extended/biasing/B02/src/B02ScoringDetectorConstruction.cc
===================================================================
--- trunk/examples/extended/biasing/B02/src/B02ScoringDetectorConstruction.cc	(revision 1187)
+++ trunk/examples/extended/biasing/B02/src/B02ScoringDetectorConstruction.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: B02ScoringDetectorConstruction.cc,v 1.7 2006/06/29 16:34:57 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 
Index: trunk/examples/extended/electromagnetic/TestEm0/DirectAccess.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm0/DirectAccess.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm0/DirectAccess.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: DirectAccess.cc,v 1.2 2006/06/29 16:35:25 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 // 
 // ------------------------------------------------------------
Index: trunk/examples/extended/electromagnetic/TestEm0/TestEm0.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm0/TestEm0.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm0/TestEm0.cc	(revision 1230)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: TestEm0.cc,v 1.4 2007/06/21 17:30:53 maire Exp $
-// GEANT4 tag $Name:  $
+// $Id: TestEm0.cc,v 1.5 2009/11/17 22:48:26 maire Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 // 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -57,7 +57,4 @@
   // set user action classes
   runManager->SetUserAction(new RunAction(det,prim));
-   
-  //Initialize G4 kernel
-  runManager->Initialize();
   
   if (argc!=1)   // batch mode   
Index: trunk/examples/extended/electromagnetic/TestEm0/include/DetectorConstruction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm0/include/DetectorConstruction.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm0/include/DetectorConstruction.hh	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: DetectorConstruction.hh,v 1.2 2006/06/29 16:35:29 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/electromagnetic/TestEm0/include/DetectorMessenger.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm0/include/DetectorMessenger.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm0/include/DetectorMessenger.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: DetectorMessenger.hh,v 1.2 2006/06/29 16:35:31 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm0/include/PhysListEmStandard.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm0/include/PhysListEmStandard.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm0/include/PhysListEmStandard.hh	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: PhysListEmStandard.hh,v 1.2 2006/06/29 16:35:33 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm0/include/PhysicsList.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm0/include/PhysicsList.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm0/include/PhysicsList.hh	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: PhysicsList.hh,v 1.2 2006/06/29 16:35:35 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm0/include/PhysicsListMessenger.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm0/include/PhysicsListMessenger.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm0/include/PhysicsListMessenger.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: PhysicsListMessenger.hh,v 1.2 2006/06/29 16:35:37 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm0/include/PrimaryGeneratorAction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm0/include/PrimaryGeneratorAction.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm0/include/PrimaryGeneratorAction.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: PrimaryGeneratorAction.hh,v 1.2 2006/06/29 16:35:40 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm0/include/RunAction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm0/include/RunAction.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm0/include/RunAction.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: RunAction.hh,v 1.3 2006/06/29 16:35:43 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm0/src/DetectorConstruction.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm0/src/DetectorConstruction.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm0/src/DetectorConstruction.cc	(revision 1230)
@@ -26,6 +26,6 @@
 
 //
-// $Id: DetectorConstruction.cc,v 1.9 2006/12/08 16:38:38 maire Exp $
-// GEANT4 tag $Name:  $
+// $Id: DetectorConstruction.cc,v 1.10 2009/11/14 18:04:20 maire Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
@@ -83,7 +83,9 @@
   
   G4Element* H  = new G4Element("Hydrogen" ,"H" , z= 1., a=   1.01*g/mole);
+  G4Element* C  = new G4Element("Carbon"   ,"C" , z= 6., a=  12.01*g/mole);  
   G4Element* N  = new G4Element("Nitrogen" ,"N" , z= 7., a=  14.01*g/mole);
   G4Element* O  = new G4Element("Oxygen"   ,"O" , z= 8., a=  16.00*g/mole);
   G4Element* Ge = new G4Element("Germanium","Ge", z=32., a=  72.59*g/mole);
+  G4Element* Pb = new G4Element("Lead"     ,"Pb", z=82., a= 207.19*g/mole);  
   G4Element* Bi = new G4Element("Bismuth"  ,"Bi", z=83., a= 208.98*g/mole);
   
@@ -110,5 +112,5 @@
   ///H2O->SetChemicalFormula("H_2O");
   H2O->GetIonisation()->SetMeanExcitationEnergy(75.0*eV);
-  
+        
   G4Material* steam = 
   new G4Material("WaterSteam", density= 1.0*mg/cm3, ncomponents=1);
@@ -132,6 +134,11 @@
   new G4Material("Lead"       , z=82., a=207.19*g/mole, density= 11.35*g/cm3);
   new G4Material("Uranium"    , z=92., a=238.03*g/mole, density= 18.95*g/cm3);
-  
-
+    
+  G4Material* ams = 
+  new G4Material("ams", density= 7.409*g/cm3, ncomponents=3);
+  ams->AddElement(Pb, fractionmass = 94.81*perCent);
+  ams->AddElement(C , fractionmass =  4.79*perCent);
+  ams->AddElement(H , fractionmass =  0.40*perCent);    
+    
   G4cout << *(G4Material::GetMaterialTable()) << G4endl;
 }
Index: trunk/examples/extended/electromagnetic/TestEm0/src/DetectorMessenger.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm0/src/DetectorMessenger.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm0/src/DetectorMessenger.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: DetectorMessenger.cc,v 1.2 2006/06/29 16:35:48 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm0/src/PhysListEmStandard.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm0/src/PhysListEmStandard.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm0/src/PhysListEmStandard.cc	(revision 1230)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: PhysListEmStandard.cc,v 1.2 2006/06/29 16:35:50 gunter Exp $
-// GEANT4 tag $Name:  $
+// $Id: PhysListEmStandard.cc,v 1.3 2009/11/14 18:04:20 maire Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -39,14 +39,15 @@
 #include "G4PhotoElectricEffect.hh"
 
-#include "G4MultipleScattering.hh"
-
+#include "G4eMultipleScattering.hh"
 #include "G4eIonisation.hh"
 #include "G4eBremsstrahlung.hh"
 #include "G4eplusAnnihilation.hh"
 
+#include "G4MuMultipleScattering.hh"
 #include "G4MuIonisation.hh"
 #include "G4MuBremsstrahlung.hh"
 #include "G4MuPairProduction.hh"
 
+#include "G4hMultipleScattering.hh"
 #include "G4hIonisation.hh"
 #include "G4ionIonisation.hh"
@@ -83,26 +84,26 @@
     } else if (particleName == "e-") {
       //electron
-      pmanager->AddProcess(new G4MultipleScattering, -1, 1,1);
-      pmanager->AddProcess(new G4eIonisation,        -1, 2,2);
-      pmanager->AddProcess(new G4eBremsstrahlung,    -1, 3,3);
+      pmanager->AddProcess(new G4eMultipleScattering, -1, 1,1);
+      pmanager->AddProcess(new G4eIonisation,         -1, 2,2);
+      pmanager->AddProcess(new G4eBremsstrahlung,     -1, 3,3);
 	    
     } else if (particleName == "e+") {
       //positron
-      pmanager->AddProcess(new G4MultipleScattering, -1, 1,1);
-      pmanager->AddProcess(new G4eIonisation,        -1, 2,2);
-      pmanager->AddProcess(new G4eBremsstrahlung,    -1, 3,3);
-      pmanager->AddProcess(new G4eplusAnnihilation,   0,-1,4);
+      pmanager->AddProcess(new G4eMultipleScattering, -1, 1,1);
+      pmanager->AddProcess(new G4eIonisation,         -1, 2,2);
+      pmanager->AddProcess(new G4eBremsstrahlung,     -1, 3,3);
+      pmanager->AddProcess(new G4eplusAnnihilation,    0,-1,4);
       
     } else if( particleName == "mu+" || 
                particleName == "mu-"    ) {
       //muon  
-      pmanager->AddProcess(new G4MultipleScattering,-1, 1,1);
-      pmanager->AddProcess(new G4MuIonisation,      -1, 2,2);
-      pmanager->AddProcess(new G4MuBremsstrahlung,  -1, 3,3);
-      pmanager->AddProcess(new G4MuPairProduction,  -1, 4,4);       
+      pmanager->AddProcess(new G4MuMultipleScattering,-1, 1,1);
+      pmanager->AddProcess(new G4MuIonisation,        -1, 2,2);
+      pmanager->AddProcess(new G4MuBremsstrahlung,    -1, 3,3);
+      pmanager->AddProcess(new G4MuPairProduction,    -1, 4,4);       
      
     } else if( particleName == "alpha" || particleName == "GenericIon" ) { 
-      pmanager->AddProcess(new G4MultipleScattering,-1, 1,1);
-      pmanager->AddProcess(new G4ionIonisation,     -1, 2,2);
+      pmanager->AddProcess(new G4hMultipleScattering,-1, 1,1);
+      pmanager->AddProcess(new G4ionIonisation,      -1, 2,2);
 
     } else if ((!particle->IsShortLived()) &&
@@ -110,6 +111,6 @@
 	       (particle->GetParticleName() != "chargedgeantino")) {
       //all others charged particles except geantino
-      pmanager->AddProcess(new G4MultipleScattering,-1,1,1);
-      pmanager->AddProcess(new G4hIonisation,       -1,2,2);
+      pmanager->AddProcess(new G4hMultipleScattering,-1,1,1);
+      pmanager->AddProcess(new G4hIonisation,        -1,2,2);
     }
   }
Index: trunk/examples/extended/electromagnetic/TestEm0/src/PhysicsList.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm0/src/PhysicsList.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm0/src/PhysicsList.cc	(revision 1230)
@@ -25,6 +25,6 @@
 //
 // 
-// $Id: PhysicsList.cc,v 1.5 2006/08/17 13:50:45 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-01-patch-02 $
+// $Id: PhysicsList.cc,v 1.8 2009/11/17 22:48:26 maire Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -35,4 +35,6 @@
  
 #include "PhysListEmStandard.hh"
+#include "G4EmLivermorePhysics.hh"
+#include "G4EmPenelopePhysics.hh"
 
 #include "G4LossTableManager.hh"
@@ -180,8 +182,22 @@
   // Em options
   //
+  // Main options and setting parameters are shown here.
+  // Several of them have default values.
+  //
   G4EmProcessOptions emOptions;
-  emOptions.SetBuildCSDARange(true);
+  
+  //physics tables
+  //
+  emOptions.SetMinEnergy(100*eV);	//default    
+  emOptions.SetMaxEnergy(100*TeV);	//default  
+  emOptions.SetDEDXBinning(12*20);	//default=12*7  
+  emOptions.SetLambdaBinning(12*20);	//default=12*7
+
+  emOptions.SetBuildCSDARange(true);     
   emOptions.SetMaxEnergyForCSDARange(100*TeV);
-  emOptions.SetDEDXBinningForCSDARange(120);
+  emOptions.SetDEDXBinningForCSDARange(12*20);
+  
+  emOptions.SetSplineFlag(true);	//default
+     
   emOptions.SetVerbose(0);  
 }
@@ -202,4 +218,14 @@
     delete emPhysicsList;
     emPhysicsList = new PhysListEmStandard(name);
+
+  } else if (name == "penelope"){
+    emName = name;
+    delete emPhysicsList;
+    emPhysicsList = new G4EmPenelopePhysics();
+
+  } else if (name == "livermore"){
+    emName = name;
+    delete emPhysicsList;
+    emPhysicsList = new G4EmLivermorePhysics();
         
   } else {
@@ -218,5 +244,8 @@
 
 void PhysicsList::SetCuts()
-{    
+{ 
+  // fixe lower limit for cut
+  G4ProductionCutsTable::GetProductionCutsTable()->SetEnergyRange(100*eV, 1*GeV);
+  
   // set cut values for gamma at first and for e- second and next for e+,
   // because some processes for e+/e- need cut values for gamma
Index: trunk/examples/extended/electromagnetic/TestEm0/src/PhysicsListMessenger.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm0/src/PhysicsListMessenger.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm0/src/PhysicsListMessenger.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: PhysicsListMessenger.cc,v 1.2 2006/06/29 16:35:55 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
